Audit Events
List restore jobs
Lists the 50 most recent restore jobs, newest first. Not paginated.
Required permission: audit:read
GET
/
api
/
v1
/
audit-events
/
restore-jobs
List restore jobs
curl --request GET \
--url https://api.igrisecurity.com/api/v1/audit-events/restore-jobs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.igrisecurity.com/api/v1/audit-events/restore-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.igrisecurity.com/api/v1/audit-events/restore-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "5e6f7a8b-0000-4000-8000-000000000006",
"requestedBy": "usr_123",
"requestedAt": "2026-01-10T00:00:00Z",
"rangeStart": "2026-01-01T00:00:00Z",
"rangeEnd": "2026-01-08T00:00:00Z",
"status": "ready",
"rowCount": 48210,
"feeChargedCents": 0,
"readyAt": "2026-01-10T00:05:00Z",
"expiresAt": "2026-01-17T00:05:00Z",
"failureReason": null
}
],
"meta": {
"total": 1,
"limit": 50,
"offset": 0
}
}{
"error": "Unauthorized"
}{
"error": "Forbidden",
"required": "policies:write"
}⌘I
List restore jobs
curl --request GET \
--url https://api.igrisecurity.com/api/v1/audit-events/restore-jobs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.igrisecurity.com/api/v1/audit-events/restore-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.igrisecurity.com/api/v1/audit-events/restore-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "5e6f7a8b-0000-4000-8000-000000000006",
"requestedBy": "usr_123",
"requestedAt": "2026-01-10T00:00:00Z",
"rangeStart": "2026-01-01T00:00:00Z",
"rangeEnd": "2026-01-08T00:00:00Z",
"status": "ready",
"rowCount": 48210,
"feeChargedCents": 0,
"readyAt": "2026-01-10T00:05:00Z",
"expiresAt": "2026-01-17T00:05:00Z",
"failureReason": null
}
],
"meta": {
"total": 1,
"limit": 50,
"offset": 0
}
}{
"error": "Unauthorized"
}{
"error": "Forbidden",
"required": "policies:write"
}